QGIS Application - Bug report #11445
Crash when double clicking on a modeller alg
2014-10-19 07:20 AM - Tim Sutton

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/Modeller

Affected QGIS version:2.4.0 Regression?: No

Operating System: Ubuntu 14.04 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19721
Description

I made a simple modeller graph (see attached pic). When | double click on the hillshade node, QGIS (da5766c) crashes with:

gdalogr:hillshade
*** Error in “/usr/local/qgis-master/bin/qgis": malloc(): smallbin double linked list corrupted: 0x0000000004a675a0 ***

Program received signal SIGABRT, Aborted.

0x00007fffefa9dbb9 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

56 ../nptl/sysdeps/unix/sysv/linux/raise.c: No such file or directory.

(gdb) bt

#0 0x00007fffefa9dbb9 in __ GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56

#1 0x00007fffefaa0fc8 in __Gl_abort () at abort.c:89

#2 0x00007fffefadae14 in __libc_message (do_abort=do_abort@entry=1, fmt=fmt@entry=0x7fffefbe9668 "*** Error in "%s'": %s:
0x%s ***\

") at ../sysdeps/posix/libc_fatal.c:175

#3 0x00007fffefae5b77 in malloc_printerr (action=<optimized out>, str=0x7fffefbe9a30 "malloc(): smallbin double linked list
corrupted", ptr=<optimized out>) at malloc.c:4996

#4 0x00007fffefae8884 in _int_malloc (av=0x7fffefe26760 <main_arena>, bytes=36) at malloc.c:3359

#5 0x00007fffefaea230in __GI___libc_malloc (bytes=36) at malloc.c:2891

#6 0x00007fffe5088b7d in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1

#7 0x00007fffe5086dd7 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1

#8 0x00007fffe50883ff in ?? () from /ust/lib/x86_64-linux-gnu/libxcb.so.1

#9 0x00007fffe5088512 in xcb_wait_for_reply () from /usr/lib/x86_64-linux-gnu/libxcb.so.1

#10 0x00007fffecbf748f in _XReply () from /usr/lib/x86_64-linux-gnu/libX11.s0.6

#11 0x00007fffecbf30cd in XSync () from /usr/lib/x86_64-linux-gnu/libX11.s0.6

#12 0x00007ffff21c5a75 in QRasterWindowSurface::syncX() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#13 0x00007ffff21c5d55 in QRasterWindowSurface::beginPaint(QRegion const&) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#14 0x00007ffff21df599 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#15 0x00007ffff2011ea0 in QWidgetPrivate::syncBackingStore() () from /ust/lib/x86_64-linux-gnu/libQtGui.so.4

#16 0x00007ffff2021e6a in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#17 0x00007ffféac180ab in ?? () from /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so

#18 0x00007ffff1fd2e2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so0.4
#19 0x00007ffff1fd94a0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#20 0x00007ffff40806e1 in QgsApplication::notify (this=0x7fffffffdb20, receiver=0x5ca36d0, event=0x4a57ef0) at
/home/timlinux/dev/cpp/QGIS/src/core/qgsapplication.cpp:243

#21 0x00007ffff2c394dd in QCoreApplication::notifyInternal(QObject*, QEvent™) () from /ust/lib/x86_64-linux-gnu/libQtCore.so.4
#22 0x00007ffff2c3cb3d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so0.4

#23 0x00007ffff25a1b12 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#24 0x00007ffff25ab0e9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#25 0x00007ffff2c51c1e in QObject::event(QEvent*) () from /ust/lib/x86_64-linux-gnu/libQtCore.s0.4

#26 0x00007ffff25b83ab in QGraphicsScene::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#27 0x00007ffféab15a0b in ?? () from /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so

#28 0x00007ffff1fd2e2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#29 0x00007ffff1fd94a0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#30 0x00007ffff40806e1 in QgsApplication::notify (this=0x7fffffffdb20, receiver=0x5170cd0, event=0x3ffa330) at
/home/timlinux/dev/cpp/QGIS/src/core/qgsapplication.cpp:243

#31 0x00007ffff2c394dd in QCoreApplication::notifylnternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#32 0x00007ffff2c3cb3d in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so0.4

#33 0x00007ffff2c66f83 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#34 0x00007fffed8f6e04 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

#35 0x00007fffed8f7048 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

#36 0x00007fffed8f70ec in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

#37 0x00007ffff2c667a1 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so0.4

#38 0x00007ffff2074bb6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#39 0x00007ffff2c380af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so0.4

#40 0x00007ffff2c383a5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#41 0x00007ffff2479fec in QDialog::exec() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#42 0x00007ffféabf2fb5 in ?7? () from /usr/lib/python2.7/dist-packages/PyQt4/QtGui.so

#43 0x00007fff6b9b70d4 in PyEval_EvalFrameEx () from /usr/lib/x86_64-linux-gnu/libpython2.7.s0.1.0

#44 0x00007fff6b9b917d in PyEval_EvalCodeEx () from /ust/lib/x86_64-linux-gnu/libpython2.7.s0.1.0

#45 0x00007fff6b90b9310 in ?? () from /usr/lib/x86_64-linux-gnu/libpython2.7.s0.1.0

#46 0x00007fff6b980e23 in PyObject_Call () from /usr/lib/x86_64-linux-gnu/libpython2.7.s0.1.0

#47 0x00007fff6b8d430d in ?? () from /usr/lib/x86_64-linux-gnu/libpython2.7.s0.1.0

#48 0x00007fff6b980e23 in PyObject_Call () from /usr/lib/x86_64-linux-gnu/libpython2.7.s0.1.0

#49 0x00007fff6b93f837 in PyEval_CallObjectWithKeywords () from /usr/lib/x86_64-linux-gnu/libpython2.7.s0.1.0
#50 0x00007fff6b58b048 in sip_api_invoke_slot () from /usr/lib/python2.7/dist-packages/sip.so

#51 0x00007fff6b296a26 in ?? () from /ust/lib/python2.7/dist-packages/PyQt4/QtCore.so

History

#1 - 2014-10-19 10:32 AM - Filipe Dias

See also #6785 for a workaround

#2 - 2014-10-19 01:16 PM - Tim Sutton

Filipe Dias wrote:

See also #6785 for a workaround

Hi Filipe

Thanks, yes agreed avoiding double clicking is a workaround but having a crashing QGIS is something we should really try to fix.
Regards

Tim

#3 - 2014-10-19 02:09 PM - Victor Olaya
- Status changed from Open to Feedback

Double clicking is a more natural way of editing the element, but | agree that a crash is not nice at all, so better to avoid it. | have disabled the double click

edit, and now it can be done just by right-clicking and selecting the "edit" entry, or by clicking on the edit icon in the modeler element to edit.

I will investigate further to see how to fix the issue, but i think this is a good solution for now. Thanks Filipe for your help!

#4 - 2014-10-19 02:57 PM - Tim Sutton

Victor Olaya wrote:

Double clicking is a more natural way of editing the element, but | agree that a crash is not nice at all, so better to avoid it. | have disabled the double
click edit, and now it can be done just by right-clicking and selecting the "edit" entry, or by clicking on the edit icon in the modeler element to edit.

1 will investigate further to see how to fix the issue, but i think this is a good solution for now. Thanks Filipe for your help!

Thanks very much Victor!

#5 - 2014-10-20 10:37 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
